Subject: Re: [Roll] Simplifying RPL: overview

From: Sung Lee <[email-masked]>
Date: Sat, 26 Sep 2009 23:44:16 -0400

> - [relax loop avoidance] relax constraints on increasing DAG rank and
> loop avoidance, removing the need for coordinated sub-DAGs.

Dear ROLL WG,

I would like to express that I am for this simplification.

Recently, we tested our DADR implementation over 802.15.4 for MP2P (we
focused on MP2P traffic pattern as that seemed to me the main interest
of WG. However, please note P2P traffic can be handled as well). One
thing we noticed is that the routes from a given node to a gateway (in
RPL term, a DAG root) changes frequently. Our experiment was conducted
in an indoor, office environment where multiple wireless APs were
present. In such a environment, trying to form as loop-free DAG would be
difficult.

Regards,
Sung

[email-masked] wrote:
>
> Message: 1
> Date: Fri, 25 Sep 2009 18:00:04 -0700
> From: Thomas Watteyne <[email-masked]>
> Subject: [Roll] Simplifying RPL: overview
> To: IETF ROLL <[email-masked]>
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=ISO-8859-1; format=flowed
>
> Dear ROLL WG,
>
> In an attempt to kickstart the simplification process of RPL, what
> follows are the elements we consider could be simplified/removed from
> -02. Our goal is to open the discussion of what can be done to decrease
> code complexity (i.e. which consumes ROM), remove states (i.e. which
> consume RAM) and reduce the number of timers (limited on typical low-end
> devices). By all means, please *jump in* if you disagree, or if you have
> other items in mind.
>
> In a nutshell, we suggest the following simplifications:
> - [multiple DAGs] shift the DAG selection process from per-node to
> per-packet. As a beneficial side-effect, this removes the need for nodes
> to jump from DAG to DAG, and removes most of the related complexity
> (held-up/hold-down states, frozen floating sub-DAGs, DAG Hop and
> Held-Down timers);
> - [relax loop avoidance] relax constraints on increasing DAG rank and
> loop avoidance, removing the need for coordinated sub-DAGs.
>
> We have decided to send out one e-mail per item. While this increases
> the number of items in your inbox (apologies!), we feel it also
> increases ease of tracking and stimulates discussion.
>
> Thomas
>
>
>